org.eclipse.wst.jsdt.chromium.debug.core

## Class VProjectSourceContainer.LookupResult

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.VProjectSourceContainer.LookupResult

Enclosing class:
  VProjectSourceContainer

    public static class VProjectSourceContainer.LookupResult
    extends java.lang.Object

Result that `VProjectSourceContainer.findSourceElements(String)` returns instead of IFile that other containers normally return. This result is could be converted to file later in `ChromiumSourceDirector` where scriptId is available.

If source director failed to process result, the back-up strategy could be to do something in our implementation of ISourcePresentation.

### Method Summary

All Methods Instance Methods Concrete Methods
`VmResource` `getVmResource(VmResourceId resourceId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getVmResource

    public VmResource getVmResource(VmResourceId resourceId)